Create a product
Creates a new product with associated plans.
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard. Send it together with X-Publishable-Key.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Every product needs at least one plan. New products start in draft status and can be billed once activated. Every plan needs a sku, and plan SKUs must be unique within the product.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/subscriptions/products" \ -H "Content-Type: application/json" \ -d '{ "name": "Canvas AI Pro", "description": "Professional plan for Canvas AI.", "sku": "CANVAS-AI-PRO", "brand": "Canvas", "unit_price": 2900, "currency": "USD", "images": [ "https://example.com/canvas-ai-pro.jpg" ], "taxable": true, "tax_behavior": "exclusive", "status": "draft", "plans": [ { "name": "Monthly", "sku": "CANVAS-AI-PRO-MONTHLY", "frequency": 1, "frequency_unit": "month", "trial": { "trial_days": 14 } }, { "name": "Yearly", "sku": "CANVAS-AI-PRO-YEARLY", "frequency": 1, "frequency_unit": "year" } ] }'{ "id": "sp_Tlj0Osm0N76T", "name": "Bolt Subscription Product", "description": "This is a subscription product.", "merchant_product_id": "string", "merchant_variant_id": "string", "sku": "BOLT-12345", "unit_price": 1999, "currency": "USD", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "plans": [ { "id": "spl_ba_PpkW16oIW", "name": "Monthly Subscription", "sku": "BOLT-12345", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "frequency": 1, "product_id": "sp_Tlj0Osm0N76T", "frequency_unit": "month", "initial_period": { "frequency": 2, "frequency_unit": "week" }, "checkout_link": "https://your_site.c.boltapp.com/g?merchant_product_id=37&merchant_variant_id=67&publishable_key=BQ9PKQksUGtj.Q9LwVLfV3WF4.32122926f7b9651a416a5099dc92dc2b4c87c8b922c114229f83b345d65f1195", "base_price": 3000, "ubb": true, "usage_pricing": [ { "meter_name": "API Calls", "event_type": "api_call", "aggregation_type": "sum", "charge_model": "per_unit", "charge_config": {}, "currency": "USD" } ], "status": "active", "currency": "USD", "trial": { "trial_days": 14 }, "usage": { "meter_id": 0, "charge_model": "string", "charge_config": {}, "sessions": [ { "duration": 0, "duration_unit": "string", "alert_threshold": "string" } ] } } ], "images": [ "https://example.com/image1.jpg", "https://example.com/image2.jpg" ], "brand": "string", "family": "string", "taxable": true, "tax_code": "string", "tax_behavior": "string", "unit_label": "string", "metadata": {}, "marketing_features": [ "string" ], "status": "draft", "activated_at": "2019-08-24T14:15:22Z"}